### Class

# Spelling Provider

#### Description [src]

    abstract class Spelling.Provider : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for spellchecking providers.

#### Hierarchy

#### Ancestors

- GObject

#### Functions

###### spelling_provider_get_default

Gets the default spell provider.

#### Instance methods

###### spelling_provider_get_default_code

Gets the default language code for the detected system locales, or `NULL` if the provider doesn’t support any of them.

###### spelling_provider_get_display_name

Gets the display name of the provider, or `NULL` if undefined.

###### spelling_provider_list_languages

Gets a `GListModel` of languages supported by the provider.

###### spelling_provider_load_dictionary

Gets a `SpellingDictionary` for the requested language, or `NULL` if the language is not supported.

###### spelling_provider_supports_language

Checks of `language` is supported by the provider.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Spelling.Provider:display-name

The display name.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SpellingProviderClass {
      /* no available fields */
    }

No description available.